body,html{background:#eee; color:#23262d !important; -webkit-scrollbar-color: #dadada #eee; scrollbar-color: #bbb #eee;}

/* navbar */
.nav .icon {color:#4585c9;}
.navbar.fixed-top { border-bottom: 1px solid #ccc;}
.nav.fixed-bottom { border-top: 1px solid #ccc;}
.navbar-dark {background-color: #dadada !important;}
.navbar-dark .nav-link {color: #333;}
.navbar-dark .nav-link:hover, .navbar-dark .nav-link:focus {color: #4585c9}
.navbar-dark .dropdown-toggle::after {color:#4585c9}
/* end of navbar */

/* bootstrap override */
.modal-body{background:#eee; color:#333;}
.modal-content{background:#dadada; color:#333;}
.badge-default {background-color: #ccc;}
.popover{background-color: #eee;}
.popover-body{color:#333 !important;}
.bg-dark{background-color: #dadada !important;}
.form-control[readonly] {background-color: #fff;}
.text-muted{color: #999 !important;}
/* end of bootstrap override */

/* pills tabs */
.nav-tabs .nav-link.active {color:#fff; background-color: #4392d7; border-color: #4392d7}
.nav-tabs .nav-link:focus, .nav-tabs .nav-link:hover{border-color: #4392d7}
/* end of pills tabs */

/* pills tabs */
.nav-pills .nav-link {color:#333;}
.nav-pills .nav-link:not(.active):hover{color: #eee;}
/* end of pills tabs */

.tablesorter-headerUnSorted .tablesorter-header-inner:after {color: #dadada;}

.table > tbody > tr > td, .table > tbody > tr > th {border-top: 1px solid #dadada;}
.modal-body .table > tbody > tr > td, .modal-body .table > tbody > tr > th, .modal-body .table > tfoot > tr > td, .modal-body .table > tfoot > tr > th, .modal-body .table > thead > tr > td, .modal-body .table > thead > tr > th {border-top: 1px solid #dadada;}
.table-striped>tbody>tr:nth-of-type(odd) {background-color: #fff;}
.table-hover>tbody>tr:hover td{background-color:#c2def6;}
.table tbody + tbody {border-top: 1px solid #808080;}
.whiteLink{color:#333;}
.whiteLink:hover{color:#428bca;}

.selectall{color: #4392d7;}
.weekdays input + label {background: #fff; color: #333;}

.btn-switch {background: #dadada; border-color: #dadada;}
.btn-switch span {background: #fff;}
.badge-dark .btn-switch {background: #bbbbbb; border-color: #bbbbbb;}

.modal-title span{font-size: 70%; color:#4392d7;}
.dashBlock label{color:#66c2ff; background-color:#ffffff26;}

.devTabs .tab-pane .row{border-bottom:#ccc 1px solid;}

.badge-default.Accelerate, .badge-default.Brake{background-color:#b38600; color: #fff;}
.badge-default.Turn, .badge-default.DistractedDriving{background-color:#CE7B11; color: #fff;}
.badge-default.Shock, .badge-default.PanicButton, .badge-default.Crashboxx, .badge-default.AlarmIn, .badge-default.SevereShock, .badge-default.CameraObstruction{background-color:#992600; color: #fff;}

/* media history */
.mh-video-container{border:1px solid #999; box-shadow: #aaa 0 0 5px;}
.mh-video-container:hover{border:1px solid #4585c9;}
.mh-video-container video, .mh-video-container img{background-color: #eee;}
.mh-video-container .duration{background-color: #0006; color: #eee;}
.channel{background-color: #0006; color: #eee;}
/* mh video wall */
.mh-vw-small video {background-color: #000; border: 2px solid #aaa;}
.mh-vw-small img {border: 2px solid #aaa;}
.mh-vw-small video:hover, .mh-vw-small img:hover {border: 2px solid #4585c9;}
.mh-row-video-info {border-top: 1px solid #777; background-color: #eee;}

.GI_TW_Current {border:2px solid #4585c9;}
.GI_TW_expander {background: #aaa;}
.GI_TW_expander .GI_TW_pointer {border: 3px solid #3275bc;}
/* end of media history */

/* old media history */
.mhListItem{border-bottom: 1px solid grey;}
.mhIcon:hover i{color: #2fa6f1;}
.mhIcon.selected i{color: #2fa6f1}
.mhIcon .cam{background-color: #334557; color: #ace6ff;}
/* end of old media history */

/* live video */
.gallery {border: 1px solid #aaa;}
.gallery .ch {color: #eee; background-color: #00000080;}
/* end of live video */

.devEvent:hover{background:#fff;}
.rHeading i{color:#fff;}
.rSpeed{border:#777 1px solid;}

/* V3 styles */
.stats-circle:before{border: 4px solid #bbb;}
.stats_tile:before{border-left: 2px solid #777;}

.reportbox{background-color:#fff; color:#333; border: 1px solid #ccc;}
.reportbox:hover{background-color:#d2d2d2; color:#333;}
.reportbox-title{border-bottom: 1px solid #4585c9;}

/* colors */
.e-red:after{border-bottom:4px solid #cf3939; border-right:16px solid #cf3939;}
.e-yellow:after{border-bottom:4px solid #d38024; border-right:16px solid #d38024;}
.e-green:after{border-bottom:4px solid #68933a; border-right:16px solid #68933a;}
.e-grey:after{border-bottom:4px solid #76776e; border-right:16px solid #76776e;}
.e-blue:after{border-bottom:4px solid #4585c9; border-right:16px solid #4585c9;}

.ico-red{color: #cf3939 !important;} /* red */
.ico-yellow{color:#d38024 !important;} /* yellow */
.ico-green{color: #68933a !important;} /* green */
.ico-grey{color: #76776e !important;} /* grey */
.ico-cold-grey{color: #64686e !important;} /* cold grey */
.ico-light-grey{color: #999 !important;} /* light grey */
.ico-blue{color: #2fa6f1 !important;} /* blue */
.ico-blue-menu{color: #4585c9 !important;} /* blue menu icons*/
.ico-orange{color: #f60 !important;} /* orange */
.ico-bg{color: #252830 !important;} /* same as bg-color */

.badge-blue{background-color: #4392d7; color: #fff;}
.badge-green{background-color: #68933a; color: #fff;}
.badge-orange{background-color: #d38024; color: #fff;}
.badge-red{background-color: #cf3939; color: #fff;}
.badge-dark{background-color: #dadada; color: #333;}

.border-red{border-color: #cf3939 !important;}
.border-yellow{border-color: #d38024 !important;}
.border-green{border-color: #68933a !important;}
.border-grey{border-color: #76776e !important;}
.border-light-grey{border-color: #bbbbbb !important;}
.border-blue{border-color: #4585c9 !important;}

a.badge-blue:hover {color: #fff; background-color: #286090; border-color: #204d74;}

.bg-blue-menu{background-color: #4585c9 !important; color: #fff !important; border: 1px solid #4585c9;} /* blue menu icons*/

.btn-primary {color: #fff; background-color: #4392d7; border-color: #347ebf;}
.btn-primary:hover {color: #fff; background-color: #286090; border-color: #204d74;}
.btn-primary.focus, .btn-primary:focus {color: #fff; background-color: #286090; border-color: #122b40;}
.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show > .btn-primary.dropdown-toggle {color: #fff; background-color: #0062cc; border-color: #005cbf;}
.btn-light {border-color: #ccc;}
.btn-default {border-color: #ccc;}


.btn-green {color: #fff; background-color: #68933a; border-color: rgb(90, 124, 53);}
.btn-green:hover {color: #fff; background-color: #577734; border-color: #577734;}
.btn-green.focus, .btn-green:focus {color: #fff; background-color: #577734; border-color: #344720;}
.btn-orange {color: #fff; background-color: #e08c18; border-color: #cc7a08;}
.btn-orange:hover {color: #fff; background-color: #cc7a08; border-color: #cc7a08;}
.btn-orange.focus, .btn-orange:focus {color: #fff; background-color: #cc7a08; border-color: #6b4418;}
.btn-red {color: #fff; background-color: #cf3939; border-color: #b62b2b;}
.btn-red:hover {color: #fff; background-color: #af2a2a; border-color: #af2a2a;}
.btn-red.focus, .btn-red:focus {color: #fff; background-color: #af2a2a; border-color: #7a1d1d;}

/* notify */
.alert-notify{background-color: #2fa6f1e6; color:#fff;box-shadow: #444c 0 0 5px 1px;}

/* map elements */
#_mapMsg {color:#fff; background-color: #00000080;}
#mapView, #MapFence, #routeMap {color:#000 !important; border: 1px solid #adadad;}
#_mpCloseBtn {background:#eee; border: 1px solid #ccc; border-left: 0px solid transparent;}
#_mpAtt {background: #eee;}
#_onMapData ._showEvent{color:#333; border-bottom: 1px solid #ccc;}
#_onMapData ._showEvent:hover{background-color: #dadada}
#_onMapData .selected:not(.btn){background-color: #dadada}
.mdFilters{color:#777;}
.mdFilters i:hover{color:#999;}

.mapSideMenuItem {color:white}
.mapSideMenuItem:before{background-color:#000000cc;}

.mapSmItem-red:before {border-bottom: solid 4px #cf3939; border-right: 10px solid #cf3939;}
.mapSmItem-yellow:before {border-bottom: solid 4px #d38024; border-right: 10px solid #d38024;}
.mapSmItem-green:before {border-bottom: solid 4px #68933a; border-right: 10px solid #68933a;}

/* map mapkers */
.mmarker {border:#ccc 1px solid;}
.mlab0 {color: #fff; background-color: #B21501;}
.mlab1 {color: #fff; background-color: #eb7e13;}
.mlab2 {color: #fff; background-color: #00A350;}
/* .mlab3 {color: #fff; background-color: #874A9D;} */

/*style maps popup box*/
.gm-style .gm-style-iw {background-color: #454545 !important; color: #fff !important;}
.gm-style-iw-t::after{border-top:11px solid #454545 !important;}

/* user guides howto */
._scrollto.active {background-color: #49535c; color: #ccc}
.howto-toc {color: #999;}
.howto .hl{color: #2e96d6;}
.howto img.img-fluid{border: 2px solid grey; box-shadow: black 0 4px 8px;}
/* end of user guides howto */

@media screen and (max-width: 992px){
    /* mobile menu */
    .navbar .dropdown-menu {background-color: #eee;}
    .navbar .dropdown-item {color: #333;}
}

@media screen and (max-width: 575px){
    .mapPanelMobile {background:#eee;}
}
